OPAM-ADMIN-MAKE(1)

NAME

opam-admin-make - Initialize a repo for serving files.

SYNOPSIS

opam-admin make [OPTION]... [PKG]...

ARGUMENTS

PKG Names of the packages to include in the repo.

OPTIONS

-d, --dryrun
    Simply display the possible actions instead of executing them.

--debug
    Display debug messages.

-g, --generate-checksums
    Automatically correct the wrong archive checksums.

--help[=FMT] (default=pager)
    Show this help in format FMT (pager, plain or groff).

-i, --index
    Only build indexes, not package archives.

-r, --recursive
    Recurse among the transitive dependencies.

--resolve
    A more advanced version of `--recursive': will attempt to resolve your installation with all dependencies in the best way possible and build the archives accordingly.

--version
    Show version information.